Bug 1758916 - plasmashell crashes on any notification
Summary: plasmashell crashes on any notification
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1758263
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-06 19:48 UTC by The Source
Modified: 2019-10-12 00:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-12 00:23:58 UTC


Attachments (Terms of Use)
plasmashell backtrace (19.42 KB, text/plain)
2019-10-06 19:48 UTC, The Source
no flags Details

Description The Source 2019-10-06 19:48:37 UTC
Created attachment 1622975 [details]
plasmashell backtrace

Description of problem:
After recent update of Qt5 to 5.12.5 along with the dependent kde packages plasmashell began to crash upon resume from standby.

Version-Release number of selected component (if applicable):
plasma-workspace-5.15.5-1.fc30.x86_64

How reproducible:
frequently

Steps to Reproduce:
1.Put laptop to standby
2.Resume
3.

Actual results:


Expected results:


Additional info:

Comment 1 The Source 2019-10-07 05:42:48 UTC
UPDATE: it looks like it actually crashes when trying to display a notification (always).

Comment 2 Fedora Update System 2019-10-09 13:25:52 UTC
FEDORA-2019-2a4f82aa58 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2a4f82aa58

Comment 3 Fedora Update System 2019-10-09 17:39:32 UTC
analitza-19.04.2-3.fc30, appmenu-qt5-0.3.0+16.10.20160628.1-17.fc30, aqbanking-5.8.2-1.fc30, deepin-editor-1.2.6.3-6.fc30, deepin-file-manager-4.7.7-5.fc30, deepin-kwin-0.0.4-4.fc30, deepin-launcher-4.6.6-5.fc30, deepin-qt-dbus-factory-1.1.0-5.fc30, deepin-qt5dxcb-plugin-1.2.0-4.fc30, deepin-qt5integration-0.3.10-4.fc30, dnscrypt-proxy-gui-1.21.16-7.fc30, dtkwidget-2.0.16.1-2.fc30, dtkwm-2.0.11-2.fc30, fcitx-qt5-1.2.3-9.fc30, gammaray-2.11.0-2.fc30, gcin-2.8.6-6.fc30, hedgewars-0.9.25-7.fc30, kf5-akonadi-server-19.04.2-3.fc30, kf5-frameworkintegration-5.59.0-3.fc30, kf5-kdeclarative-5.59.0-3.fc30, kf5-kwayland-5.59.0-3.fc30, kf5-kxmlgui-5.59.0-3.fc30, kmymoney-5.0.6-1.fc30, kwin-5.15.5-3.fc30, libfm-qt-0.14.1-4.fc30, libqtxdg-3.3.1-4.fc30, lumina-desktop-1.5.0-2.fc30, lxqt-qtplugin-0.14.0-5.fc30, mscore-2.2.1-12.fc30, plasma-integration-5.15.5-3.fc30, pyotherside-1.5.8-3.fc30, python-pyside2-5.13.1-2.fc30, python-qt5-5.12.3-6.fc30, qgis-3.4.9-3.fc30, qgnomeplatform-0.5-11.fc30, qstardict-1.3-12.fc30, qt-creator-4.9.2-2.fc30, qt5-5.12.5-1.fc30, qt5-qt3d-5.12.5-1.fc30, qt5-qtbase-5.12.5-1.fc30, qt5-qtcanvas3d-5.12.5-1.fc30, qt5-qtcharts-5.12.5-1.fc30, qt5-qtconnectivity-5.12.5-1.fc30, qt5-qtdatavis3d-5.12.5-1.fc30, qt5-qtdeclarative-5.12.5-3.fc30, qt5-qtdoc-5.12.5-1.fc30, qt5-qtenginio-1.6.2-26.fc30, qt5-qtgamepad-5.12.5-1.fc30, qt5-qtgraphicaleffects-5.12.5-1.fc30, qt5-qtimageformats-5.12.5-1.fc30, qt5-qtlocation-5.12.5-1.fc30, qt5-qtmultimedia-5.12.5-1.fc30, qt5-qtnetworkauth-5.12.5-2.fc30, qt5-qtquickcontrols-5.12.5-1.fc30, qt5-qtquickcontrols2-5.12.5-1.fc30, qt5-qtremoteobjects-5.12.5-1.fc30, qt5-qtscript-5.12.5-1.fc30, qt5-qtscxml-5.12.5-1.fc30, qt5-qtsensors-5.12.5-1.fc30, qt5-qtserialbus-5.12.5-1.fc30, qt5-qtserialport-5.12.5-1.fc30, qt5-qtspeech-5.12.5-1.fc30, qt5-qtstyleplugins-5.0.0-36.fc30, qt5-qtsvg-5.12.5-1.fc30, qt5-qttools-5.12.5-1.fc30, qt5-qttranslations-5.12.5-1.fc30, qt5-qtvirtualkeyboard-5.12.5-1.fc30, qt5-qtwayland-5.12.5-1.fc30, qt5-qtwebchannel-5.12.5-1.fc30, qt5-qtwebengine-5.12.5-2.fc30, qt5-qtwebkit-5.212.0-0.37.alpha2.fc30, qt5-qtwebsockets-5.12.5-1.fc30, qt5-qtwebview-5.12.5-1.fc30, qt5-qtx11extras-5.12.5-1.fc30, qt5-qtxmlpatterns-5.12.5-1.fc30, qt5ct-0.38-5.fc30, qtcurve-1.9.1-7.fc30, skrooge-2.20.0-3.fc30, texmaker-5.0.3-5.fc30, ugene-1.31.1-6.fc30, xdg-desktop-portal-kde-5.15.5-4.fc30, yarock-1.4.0-4.fc30, yubioath-desktop-5.0.0-2.git121efe3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2a4f82aa58

Comment 4 Fedora Update System 2019-10-09 19:10:27 UTC
FEDORA-2019-2a4f82aa58 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2a4f82aa58

Comment 5 Fedora Update System 2019-10-09 19:13:54 UTC
FEDORA-2019-2a4f82aa58 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2a4f82aa58

Comment 6 Fedora Update System 2019-10-10 17:29:09 UTC
analitza-19.04.2-3.fc30, appmenu-qt5-0.3.0+16.10.20160628.1-17.fc30, aqbanking-5.8.2-1.fc30, deepin-editor-1.2.6.3-6.fc30, deepin-file-manager-4.7.7-5.fc30, deepin-kwin-0.0.4-4.fc30, deepin-launcher-4.6.6-5.fc30, deepin-qt-dbus-factory-1.1.0-5.fc30, deepin-qt5dxcb-plugin-1.2.0-4.fc30, deepin-qt5integration-0.3.10-4.fc30, dnscrypt-proxy-gui-1.21.16-7.fc30, dtkwidget-2.0.16.1-2.fc30, dtkwm-2.0.11-2.fc30, fcitx-qt5-1.2.3-9.fc30, gammaray-2.11.0-2.fc30, gcin-2.8.6-6.fc30, hedgewars-0.9.25-7.fc30, kf5-akonadi-server-19.04.2-3.fc30, kf5-frameworkintegration-5.59.0-3.fc30, kf5-kdeclarative-5.59.0-3.fc30, kf5-kwayland-5.59.0-3.fc30, kf5-kxmlgui-5.59.0-3.fc30, kmymoney-5.0.6-1.fc30, kwin-5.15.5-3.fc30, libfm-qt-0.14.1-4.fc30, libqtxdg-3.3.1-4.fc30, lumina-desktop-1.5.0-2.fc30, lxqt-qtplugin-0.14.0-5.fc30, mscore-2.2.1-12.fc30, plasma-integration-5.15.5-3.fc30, pyotherside-1.5.8-3.fc30, python-pyside2-5.12.5-1.fc30.1, python-qt5-5.12.3-6.fc30, qgis-3.4.9-3.fc30, qgnomeplatform-0.5-11.fc30, qstardict-1.3-12.fc30, qt-creator-4.9.2-2.fc30, qt5-5.12.5-1.fc30, qt5-qt3d-5.12.5-1.fc30, qt5-qtbase-5.12.5-1.fc30, qt5-qtcanvas3d-5.12.5-1.fc30, qt5-qtcharts-5.12.5-1.fc30, qt5-qtconnectivity-5.12.5-1.fc30, qt5-qtdatavis3d-5.12.5-1.fc30, qt5-qtdeclarative-5.12.5-3.fc30, qt5-qtdoc-5.12.5-1.fc30, qt5-qtenginio-1.6.2-26.fc30, qt5-qtgamepad-5.12.5-1.fc30, qt5-qtgraphicaleffects-5.12.5-1.fc30, qt5-qtimageformats-5.12.5-1.fc30, qt5-qtlocation-5.12.5-1.fc30, qt5-qtmultimedia-5.12.5-1.fc30, qt5-qtnetworkauth-5.12.5-2.fc30, qt5-qtquickcontrols-5.12.5-1.fc30, qt5-qtquickcontrols2-5.12.5-1.fc30, qt5-qtremoteobjects-5.12.5-1.fc30, qt5-qtscript-5.12.5-1.fc30, qt5-qtscxml-5.12.5-1.fc30, qt5-qtsensors-5.12.5-1.fc30, qt5-qtserialbus-5.12.5-1.fc30, qt5-qtserialport-5.12.5-1.fc30, qt5-qtspeech-5.12.5-1.fc30, qt5-qtstyleplugins-5.0.0-36.fc30, qt5-qtsvg-5.12.5-1.fc30, qt5-qttools-5.12.5-1.fc30, qt5-qttranslations-5.12.5-1.fc30, qt5-qtvirtualkeyboard-5.12.5-1.fc30, qt5-qtwayland-5.12.5-1.fc30, qt5-qtwebchannel-5.12.5-1.fc30, qt5-qtwebengine-5.12.5-2.fc30, qt5-qtwebkit-5.212.0-0.37.alpha2.fc30, qt5-qtwebsockets-5.12.5-1.fc30, qt5-qtwebview-5.12.5-1.fc30, qt5-qtx11extras-5.12.5-1.fc30, qt5-qtxmlpatterns-5.12.5-1.fc30, qt5ct-0.38-5.fc30, qtcurve-1.9.1-7.fc30, skrooge-2.20.0-3.fc30, texmaker-5.0.3-5.fc30, ugene-1.31.1-6.fc30, xdg-desktop-portal-kde-5.15.5-4.fc30, yarock-1.4.0-4.fc30, yubioath-desktop-5.0.0-2.git121efe3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2a4f82aa58

Comment 7 Fedora Update System 2019-10-12 00:23:58 UTC
analitza-19.04.2-3.fc30, appmenu-qt5-0.3.0+16.10.20160628.1-17.fc30, aqbanking-5.8.2-1.fc30, deepin-editor-1.2.6.3-6.fc30, deepin-file-manager-4.7.7-5.fc30, deepin-kwin-0.0.4-4.fc30, deepin-launcher-4.6.6-5.fc30, deepin-qt-dbus-factory-1.1.0-5.fc30, deepin-qt5dxcb-plugin-1.2.0-4.fc30, deepin-qt5integration-0.3.10-4.fc30, dnscrypt-proxy-gui-1.21.16-7.fc30, dtkwidget-2.0.16.1-2.fc30, dtkwm-2.0.11-2.fc30, fcitx-qt5-1.2.3-9.fc30, gammaray-2.11.0-2.fc30, gcin-2.8.6-6.fc30, hedgewars-0.9.25-7.fc30, kf5-akonadi-server-19.04.2-3.fc30, kf5-frameworkintegration-5.59.0-3.fc30, kf5-kdeclarative-5.59.0-3.fc30, kf5-kwayland-5.59.0-3.fc30, kf5-kxmlgui-5.59.0-3.fc30, kmymoney-5.0.6-1.fc30, kwin-5.15.5-3.fc30, libfm-qt-0.14.1-4.fc30, libqtxdg-3.3.1-4.fc30, lumina-desktop-1.5.0-2.fc30, lxqt-qtplugin-0.14.0-5.fc30, mscore-2.2.1-12.fc30, plasma-integration-5.15.5-3.fc30, pyotherside-1.5.8-3.fc30, python-pyside2-5.12.5-1.fc30.1, python-qt5-5.12.3-6.fc30, qgis-3.4.9-3.fc30, qgnomeplatform-0.5-11.fc30, qstardict-1.3-12.fc30, qt-creator-4.9.2-2.fc30, qt5-5.12.5-1.fc30, qt5-qt3d-5.12.5-1.fc30, qt5-qtbase-5.12.5-1.fc30, qt5-qtcanvas3d-5.12.5-1.fc30, qt5-qtcharts-5.12.5-1.fc30, qt5-qtconnectivity-5.12.5-1.fc30, qt5-qtdatavis3d-5.12.5-1.fc30, qt5-qtdeclarative-5.12.5-3.fc30, qt5-qtdoc-5.12.5-1.fc30, qt5-qtenginio-1.6.2-26.fc30, qt5-qtgamepad-5.12.5-1.fc30, qt5-qtgraphicaleffects-5.12.5-1.fc30, qt5-qtimageformats-5.12.5-1.fc30, qt5-qtlocation-5.12.5-1.fc30, qt5-qtmultimedia-5.12.5-1.fc30, qt5-qtnetworkauth-5.12.5-2.fc30, qt5-qtquickcontrols-5.12.5-1.fc30, qt5-qtquickcontrols2-5.12.5-1.fc30, qt5-qtremoteobjects-5.12.5-1.fc30, qt5-qtscript-5.12.5-1.fc30, qt5-qtscxml-5.12.5-1.fc30, qt5-qtsensors-5.12.5-1.fc30, qt5-qtserialbus-5.12.5-1.fc30, qt5-qtserialport-5.12.5-1.fc30, qt5-qtspeech-5.12.5-1.fc30, qt5-qtstyleplugins-5.0.0-36.fc30, qt5-qtsvg-5.12.5-1.fc30, qt5-qttools-5.12.5-1.fc30, qt5-qttranslations-5.12.5-1.fc30, qt5-qtvirtualkeyboard-5.12.5-1.fc30, qt5-qtwayland-5.12.5-1.fc30, qt5-qtwebchannel-5.12.5-1.fc30, qt5-qtwebengine-5.12.5-2.fc30, qt5-qtwebkit-5.212.0-0.37.alpha2.fc30, qt5-qtwebsockets-5.12.5-1.fc30, qt5-qtwebview-5.12.5-1.fc30, qt5-qtx11extras-5.12.5-1.fc30, qt5-qtxmlpatterns-5.12.5-1.fc30, qt5ct-0.38-5.fc30, qtcurve-1.9.1-7.fc30, skrooge-2.20.0-3.fc30, texmaker-5.0.3-5.fc30, ugene-1.31.1-6.fc30, xdg-desktop-portal-kde-5.15.5-4.fc30, yarock-1.4.0-4.fc30, yubioath-desktop-5.0.0-2.git121efe3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.